%define upstream_name    DateTime-Format-CLDR
%define upstream_version 1.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse and format CLDR time patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.480.0
BuildRequires: perl(DateTime::Incomplete)
BuildRequires: perl(DateTime::Locale) >= 0.420.0
BuildRequires: perl(DateTime::TimeZone) >= 0.950.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Params::Validate) >= 0.760.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.820.0
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
This module provides a parser (and also a formater) for datetime strings
using patterns as defined by the Unicode CLDR Project (Common Locale Data
Repository). the http://unicode.org/cldr/ manpage.

CLDR format is supported by the DateTime manpage and the DateTime::Locale
manpage starting with version 0.40.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.170.0-3.mga6
+ Revision: 1025087
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.170.0-2.mga6
+ Revision: 972483
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 shlomif <shlomif> 1.170.0-1.mga6
+ Revision: 899906
- update to 1.17

* Thu Oct 23 2014 shlomif <shlomif> 1.150.0-1.mga5
+ Revision: 792625
- imported package perl-DateTime-Format-CLDR


* Thu Oct 23 2014 cpan2dist 1.15-1mga
- initial mageia release, generated with cpan2dist
